Create a Llama inference endpoint

Auth

Create an inference endpoint to perform an inference task with the llama service.

Required privileges

Cluster privileges manage_inference

Path parameters

task_type enum required

The type of the inference task that the model will perform.

Values: text_embedding completion chat_completion
llama_inference_id string required

The unique identifier of the inference endpoint.

Query parameters

timeout union oneOf · default: 30s

Specifies the amount of time to wait for the inference endpoint to be created.

Values: -1 0

Request body

service enum required

The type of service supported for the specified task type. In this case, llama.

Values: llama
service_settings object required

Settings used to install the inference model. These settings are specific to the llama service.

url string required

The URL endpoint of the Llama stack endpoint. URL must contain:

  • For text_embedding task - /v1/inference/embeddings.
  • For completion and chat_completion tasks - /v1/openai/v1/chat/completions.
model_id string required

The name of the model to use for the inference task. Refer to the Llama downloading models documentation for different ways of getting a list of available models and downloading them. Service has been tested and confirmed to be working with the following models:

  • For text_embedding task - all-MiniLM-L6-v2.
  • For completion and chat_completion tasks - llama3.2:3b.
max_input_tokens number

For a text_embedding task, the maximum number of tokens per input before chunking occurs.

similarity enum

For a text_embedding task, the similarity measure. One of cosine, dot_product, l2_norm.

Values: cosine dot_product l2_norm

Response

application/json
service string required

The service type

service_settings object required

Settings specific to the service

task_settings object

Task settings specific to the service and task type

inference_id string required

The inference Id

task_type enum required

The task type

Values: text_embedding chat_completion completion